clang 8.0.0

Public Attributes | List of all members
CXType Struct Reference
libclang: C Interface to Clang » Type information for CXCursors

The type of an element in the abstract syntax tree. More...

`#include "clang-c/Index.h"`

Collaboration diagram for CXType:
[legend]

## Public Attributes
enum CXTypeKind | kind
void * | data [2]

## Detailed Description

The type of an element in the abstract syntax tree.

Definition at line 3349 of file Index.h.

## Member Data Documentation

## ◆ data

void* CXType::data[2]

Definition at line 3351 of file Index.h.

## ◆ kind

enum CXTypeKind CXType::kind

Definition at line 3350 of file Index.h.

The documentation for this struct was generated from the following file:

- include/clang-c/Index.h